解决办法:开始以为是:wxPython版本的问题,尝试wxPython2.8-win64-unicode-2.8.12.1-py27,结果还是报错,最后使用robotframework-ride-1.5.2版本完美解决

1.下载安装python2.7.16,配置环境变量,python安装路径和Scripts路径

2.离线安装robotframework-3.1.2

https://pypi.org/project/robotframework/#files

下载解压完成,进入目录,执行命令:python setup.py install

在线安装(如果可以的话):pip install robotframework,不带版本号默认最新,pip install robotframework3.1.2

3.离线安装robotframework-ride-1.7.3

https://pypi.org/project/robotframework-ride/1.5.2/#files

https://pypi.org/project/robotframework-ride/1.7.3/#files

下载解压完成,进入目录,执行命令:python setup.py install

在线安装(如果可以的话):pip install robotframework-ride,不带版本号默认最新,pip install robotframework-ride1.5.2

4.安装wxPython3.0-win64-3.0.2.0-py27.exe

https://sourceforge.net/projects/wxpython/files/wxPython/2.8.12.1/

https://sourceforge.net/projects/wxpython/files/latest/download

默认一路下一步,安装完成

5.启动ride.py报错

附:pip 安装(安装和管理 Python 包的工具)

1.https://pypi.python.org/pypi/pip

2.将安装包解压到指定目录;

3.调出Dos命令窗口,进入安装包解压后的目录,执行命令:python setup.py install

4.验证pip是否安装成功,执行命令:pip -v


pip下载安装报错: Could not fetch URL https://pypi.org/simple/pytest-pycodestyle/,请使用下面的镜像,以robotframework-appiumlibrary 为例

pip install robotframework-appiumlibrary -i http://mirrors.aliyun.com/pypi/simple –trusted-host mirrors.aliyun.com

pip install robotframework-appiumlibrary -i http://pypi.douban.com/simple –trusted-host pypi.douban.com

1)https://pypi.mirrors.ustc.edu.cn/simple/ 中国科技大学

2)https://pypi.tuna.tsinghua.edu.cn/simple/清华大学

3)http://pypi.mirrors.ustc.edu.cn/simple/中国科学技术大学

如果觉得快捷方式太丑,你还可以这样

桌面上的ride快捷方式–>右键–>属性–>快捷方式–>更改图标–>浏览(找到python的安装目目录下Libsite-packagesrobotidewidgets目录下robot图标),双击图标后,点击确定就可以了

文章来源于互联网,如有雷同请联系站长删除:robotframework搭建启动ride报错:ImportError: No module named pubsub

发表评论